Name:           perl-File-ShareDir
Version:        1.118
Release:        2
Summary:        Locate per-dist and per-module shared files

License:        (GPL+ or Artistic) and ASL 2.0
URL:            https://metacpan.org/release/File-ShareDir
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/File-ShareDir-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::ShareDir::Install) >= 0.13 perl(Carp) perl(Class::Inspector) >= 1.12
BuildRequires:  perl(File::Spec) >= 0.80 perl(warnings) perl(List::MoreUtils) >= 0.428
BuildRequires:  perl(Params::Util) >= 1.07 perl(File::Path) >= 2.08 perl(Test::More) >= 0.90
BuildRequires:  perl(CPAN::Meta) >= 2.11044

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}


%description
The intent of File::ShareDir is to provide a companion to Class::Inspector
and File::HomeDir, modules that take a process that is well-known by
advanced Perl developers but gets a little tricky, and make it more
available to the larger Perl community.


%package_help


%prep
%autosetup -n File-ShareDir-%{version} -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build


%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%license LICENSE
%{perl_vendorlib}/*


%files help
%doc Changes README.md
%{_mandir}/man3/*.3*


%changelog
* Tue Oct 25 2022 wangjiang <wangjiang37@h-partners.com> - 1.118-2
- Rebuild for next release

* Fri Dec 3 2021 guozhaorui <guozhaorui1@huawei.com> - 1.118
- update to 1.118

* Thu Nov 28 2019 Qianbiao.NG <Qianbiao.NG@turnbig.net> - 1.116-4
- Repackage for openEuler OS
